Package gov.nasa.gsfc.sscweb.schema

# Class LeadSatelliteCondition

java.lang.Object
gov.nasa.gsfc.sscweb.schema.Condition
gov.nasa.gsfc.sscweb.schema.LeadSatelliteCondition

public class LeadSatelliteCondition extends Condition
Lead satellite condition. <p>Java class for LeadSatelliteCondition complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="LeadSatelliteCondition"> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}Condition"> <sequence> <element name="Satellite" type="{http://sscweb.gsfc.nasa.gov/schema}Satellite" maxOccurs="unbounded"/> <element name="ConjunctionArea" type="{http://sscweb.gsfc.nasa.gov/schema}ConjunctionArea"/> <element name="TraceType" type="{http://sscweb.gsfc.nasa.gov/schema}TraceType"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ConjunctionArea`
  `conjunctionArea`
  Conjunction Area.
  `protected List<Satellite>`
  `satellite`
  Lead satellites.
  `protected TraceType`
  `traceType`
  Trace type.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LeadSatelliteCondition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConjunctionArea`
  `getConjunctionArea()`
  Conjunction Area.
  `List<Satellite>`
  `getSatellite()`
  Lead satellites.
  `TraceType`
  `getTraceType()`
  Trace type.
  `void`
  `setConjunctionArea(ConjunctionArea value)`
  Sets the value of the conjunctionArea property.
  `void`
  `setTraceType(TraceType value)`
  Sets the value of the traceType property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### satellite

    protected List<Satellite> satellite
    Lead satellites.

  - ### conjunctionArea

    protected ConjunctionArea conjunctionArea
    Conjunction Area.

  - ### traceType

    protected TraceType traceType
    Trace type.

- ## Constructor Details

  - ### LeadSatelliteCondition

    public LeadSatelliteCondition()

- ## Method Details

  - ### getSatellite

    public List<Satellite> getSatellite()
    Lead satellites. Gets the value of the satellite property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the satellite property.

    For example, to add a new item, do as follows:

         getSatellite().add(newItem);

    Objects of the following type(s) are allowed in the list `Satellite`

    Returns:
      The value of the satellite property.

  - ### getConjunctionArea

    public ConjunctionArea getConjunctionArea()
    Conjunction Area.
    Returns:
      possible object is `ConjunctionArea`

  - ### setConjunctionArea

    public void setConjunctionArea(ConjunctionArea value)
    Sets the value of the conjunctionArea property.
    Parameters:
      `value` - allowed object is `ConjunctionArea`
    See Also:
      - `getConjunctionArea()`

  - ### getTraceType

    public TraceType getTraceType()
    Trace type.
    Returns:
      possible object is `TraceType`

  - ### setTraceType

    public void setTraceType(TraceType value)
    Sets the value of the traceType property.
    Parameters:
      `value` - allowed object is `TraceType`
    See Also:
      - `getTraceType()`